#include "std_lib_inc.h"
#include "Model.h"
#ifndef TASK_H
#define TASK_H

namespace models {
    class Task : public Model {
        private:
            int id;
            string name;
            string description;
            vector<int> children;
        public:
            Task(const int& id, const string& name, const string& description, const vector<int>& children);
            Model* operator>>(stringstream& stream) override;
            string operator<<(Model& model) override;
    };
}

#endif // TASK_H

